interface TimelineDatenpunkt {
  title?: string; 
  vorname: string; 
  nachnname: string; 
  pictureurl: string; 
  tag: StakeholderTag; 
  heading: string; 
  interviewtabid: string; 
  type?: TypeTag; 
  affiliation?: string; 
  job?: string; 
  cardtext: string; 
  language?: Language; 
  quote: string; 
  quoteVorname?: string; 
  quoteNachname?: string; 
  aimofcontact: string | Array<string> | Array<React.ReactNode>; 
  insights: string | Array<string> | Array<React.ReactNode>; 
  clarification?: string | Array<string> | Array<React.ReactNode>; 
  implementation: string | Array<string> | Array<React.ReactNode>; 
  
}
type StakeholderTag = 'Industry' | 'Academia' | 'Patient' | 'Medical Professional' | 'Milestone' | 'Other'; 
type TypeTag = 'meta' ; 
type Language = 'en' | 'de'; 

const pics: { [key: string]: string } = {
  placeholder: "https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg",
  max: "https://static.igem.wiki/teams/5247/photos/hp/hp-max-portrait.jpg",
  kristian: "https://static.igem.wiki/teams/5247/photos/hp/kristian.jpeg",
  olariu: "https://static.igem.wiki/teams/5247/photos/hp/olariu-cristian.jpg",
  westhoff: "https://static.igem.wiki/teams/5247/photos/hp/hp-katrin-portrait.jpg",
  mattijs: "https://static.igem.wiki/teams/5247/photos/hp/mattijs.jpg",
  julia: "https://static.igem.wiki/teams/5247/photos/hp/julia.jpg",
  kolonko: "https://static.igem.wiki/teams/5247/photos/hp/kolonko-neu.jpg",
  svenja: "https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg",
  berens: "https://static.igem.wiki/teams/5247/photos/hp/berens.jpg",
};

/* {
    vorname: "Vorlage",
    nachnname: "Vorlage",  
    pictureurl: pics['placeholder'],
    tag: "Other",
    heading: "Vorlage",
    interviewtabid: "Vorlage",
    cardtext: "Vorlage",
    language: "de",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  } */


export const timelinedata: Array<TimelineDatenpunkt> = [
  {
    vorname: "Building the team",
    nachnname: "",  
    pictureurl: pics['placeholder'],
    tag: "Other",
    heading: "Development of a multidisciplinary team structure",
    interviewtabid: "recruiting",
    cardtext: "Vorlage",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
    type: "meta"
  },
  {
    vorname: "Pitching ideas",
    nachnname: "",  
    pictureurl: pics['placeholder'],
    tag: "Other",
    heading: "Getting Acquainted with Cystic Fibrosis",
    interviewtabid: "firstpresi",
    cardtext: "Vorlage",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
    type: "meta"
  },
  {
    vorname: "Ideation",
    nachnname: "",  
    pictureurl: pics['placeholder'],
    tag: "Other",
    heading: "Brainstorming and selection of ideas and concepts",
    interviewtabid: "ideas",
    cardtext: "Vorlage",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
    type: "meta"
  },
  { 
    title: "Prof. Dr.",
    vorname: "Kristian",
    nachnname: "Müller",  
    job: "Research Group Cellular and Molecular Biotechnology",
    pictureurl: pics['kristian'],
    tag: "Academia",
    heading: "Vorlage",
    interviewtabid: "kristian",
    cardtext: "Vorlage",
    language: "de",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
  { 
    vorname: "Max",
    nachnname: "Beckmann",  
    job: "Bielefeld University",
    pictureurl: pics['max'],
    tag: "Patient",
    heading: "Gathering valuable insights from the patient’s perspective",
    interviewtabid: "maxfirst",
    cardtext: "Vorlage",
    language: "de",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
  { 
    title: "xx",
    vorname: "Christoph",
    nachnname: "Weber",  
    job: "",
    pictureurl: pics['placeholder'],
    tag: "Academia",
    heading: "Feedback Session with Expert",
    interviewtabid: "weber",
    cardtext: "Vorlage",
    language: "en",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
  {
    vorname: "Exploring new ideas",
    nachnname: "",  
    pictureurl: pics['placeholder'],
    tag: "Other",
    affiliation: "",
    heading: "Further brainstorming on approaches",
    interviewtabid: "brainstorming",
    cardtext: "Vorlage",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
    type: "meta"
  },
  { 
    title: "Dr.",
    vorname: "Michaela",
    nachnname: "Bienert",  
    job: " Scientific Sales Representative for Cell Culture Products",
    affiliation: "Stemcell",
    pictureurl: pics['placeholder'],
    tag: "Industry",
    heading: "Determining the optimal cell media for experimentation",
    interviewtabid: "michaela",
    cardtext: "Vorlage",
    language: "de",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
  {
    vorname: "Looking for expertise",
    nachnname: "",  
    pictureurl: pics['placeholder'],
    tag: "Other",
    heading: "Identifying key experts in cystic fibrosis and prime editing",
    interviewtabid: "experts",
    cardtext: "Vorlage",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
    type: "meta"
  },
  {
    vorname: "Documenting progress",
    nachnname: "",  
    pictureurl: pics['placeholder'],
    tag: "Other",
    heading: "Tracking progress in expert search and idea development",
    interviewtabid: "progress",
    cardtext: "Vorlage",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
    type: "meta"
  },
  { 
    vorname: "Katrin",
    nachnname: "Westhoff",  
    job: "physiotherapist",
    affiliation: "",
    pictureurl: pics['westhoff'],
    tag: "Medical Professional",
    heading: "Interview with a specialized physiotherapist regarding breathing therapy for cystic fibrosis patients",
    interviewtabid: "westhoffinv",
    cardtext: "Vorlage",
    language: "de",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
  { 
    vorname: "Cristian-Gabriel",
    nachnname: "Olariu",  
    job: "pediatrician",
    affiliation: "OWL University Hospital",
    pictureurl: pics['olariu'],
    tag: "Medical Professional",
    heading: "Discussion with a pediatrician and his former patient about treatment challenges and perspectives",
    interviewtabid: "olariu",
    cardtext: "Vorlage",
    language: "de",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
  { 
    vorname: "Mattijs",
    nachnname: "Bulcaen",  
    job: "PhD Researcher at Laboratory for Molecular Virology & Gene Therapy",
    affiliation: "KU Leuven",
    pictureurl: pics['mattijs'],
    tag: "Academia",
    heading: "Discussion with a Prime Editing Expert on Similar Approaches for Different Mutations",
    interviewtabid: "mattijsinv",
    cardtext: "Vorlage",
    language: "en",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
  { 
    vorname: "Nicole",
    nachnname: "Friedlein",  
    job: "Research group on fundamental rights",
    affiliation: "Universität Potsdam",
    pictureurl: pics['placeholder'],
    tag: "Academia",
    heading: "Discussion on how health insurance companies manage cystic fibrosis patients and gene therapy treatments",
    interviewtabid: "nicole",
    cardtext: "Vorlage",
    language: "de",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
  { 
    vorname: "Katrin",
    nachnname: "Westhoff",  
    job: "physiotherapist",
    affiliation: "",
    pictureurl: pics['westhoff'],
    tag: "Medical Professional",
    heading: "In-Depth Visit to Specialized Physiotherapist for CF Breathing Therapy",
    interviewtabid: "westhoffvisit",
    cardtext: "Vorlage",
    language: "de",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
  { 
    vorname: "Jukia",
    nachnname: "XXX",  
    job: "parent",
    affiliation: "",
    pictureurl: pics['julia'],
    tag: "Patient",
    heading: "Interview with a CF Parent About Their Experience and Treatment Needs",
    interviewtabid: "julia",
    cardtext: "Vorlage",
    language: "de",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
  { 
    vorname: "Joshua",
    nachnname: "Bauder",  
    job: "parent and activist",
    affiliation: "CF vests worldwide",
    pictureurl: pics['placeholder'],
    tag: "Patient",
    heading: "Interview with a CF Parent and Global Advocate on Worldwide Support and Perspectives",
    interviewtabid: "joshua",
    cardtext: "Vorlage",
    language: "en",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
  { 
    title: "Prof. Dr.",
    vorname: "Erhard",
    nachnname: "Wischmeyer",  
    job: "Research Group Cellular Neurophysiology",
    affiliation: "Universität Bielefeld",  
    pictureurl: pics['placeholder'],
    tag: "Academia",
    heading: "",
    interviewtabid: "patchclamp",
    cardtext: "Vorlage",
    language: "de",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
  { 
    title: "Prof. Dr.",
    vorname: "Stefan",
    nachnname: "Hammer",  
    job: "Junior Professor of Organic Chemistry and Biocatalysis",
    affiliation: "Universität Bielefeld",  
    pictureurl: pics['placeholder'],
    tag: "Academia",
    heading: "",
    interviewtabid: "hammer",
    cardtext: "Vorlage",
    language: "de",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
  { 
    title: "Dr.",
    vorname: "Katharina",
    nachnname: "Kolonko",  
    job: "",
    affiliation: "",  
    pictureurl: pics['kolonko'],
    tag: "Academia",
    heading: "First steps in LNPs",
    interviewtabid: "kolonkofirst",
    cardtext: "Vorlage",
    language: "de",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
  { 
    vorname: "Svenja",
    nachnname: "Vinke",  
    job: "PostDoc at Harvard Medical School",
    affiliation: "Harvard Medical School",  
    pictureurl: pics['svenja'],
    tag: "Academia",
    heading: "First steps in LNPs",
    interviewtabid: "svenja",
    cardtext: "Vorlage",
    language: "de",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
  { 
    vorname: "Max",
    nachnname: "Beckmann",  
    job: "Bielefeld University",
    pictureurl: pics['max'],
    tag: "Patient",
    heading: "Hygiene concept",
    interviewtabid: "maxhygiene",
    cardtext: "Vorlage",
    language: "de",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
  { 
    title: "Dr.",
    vorname: "Eva-Maria",
    nachnname: "Berens",  
    job: "Ethics Committee of Bielefeld University",
    affiliation: "Bielefeld University", 
    pictureurl: pics['berens'],
    tag: "Academia",
    heading: "Ethics",
    interviewtabid: "berens",
    cardtext: "Vorlage",
    language: "de",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
  { 
    vorname: "Collaboration",
    nachnname: "",  
    job: "",
    affiliation: "", 
    pictureurl: pics['placeholder'],
    tag: "Academia",
    heading: "LNP Handbook",
    interviewtabid: "",
    cardtext: "Vorlage",
    language: "de",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
  { 
    vorname: "",
    nachnname: "",  
    job: "",
    affiliation: "RNhale", 
    pictureurl: pics['placeholder'],
    tag: "Industry",
    heading: "Rnhale",
    interviewtabid: "",
    cardtext: "Vorlage",
    language: "de",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
  { 
    title: "XXX",
    vorname: "David",
    nachnname: "Liu",  
    job: "",
    affiliation: "", 
    pictureurl: pics['placeholder'],
    tag: "Academia",
    heading: "",
    interviewtabid: "",
    cardtext: "Vorlage",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
  { 
    vorname: "",
    nachnname: "",  
    job: "",
    affiliation: "Corden Pharma", 
    pictureurl: pics['placeholder'],
    tag: "Academia",
    heading: "Corden",
    interviewtabid: "",
    cardtext: "Vorlage",
    language: "de",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
  { 
    vorname: "Mattijs",
    nachnname: "Bulcaen",  
    job: "PhD Researcher at Laboratory for Molecular Virology & Gene Therapy",
    affiliation: "KU Leuven",
    pictureurl: pics['mattijs'],
    tag: "Academia",
    heading: "",
    interviewtabid: "mattijsvisit",
    cardtext: "Vorlage",
    language: "en",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
  { 
    title: "Dr.",
    vorname: "Oliver",
    nachnname: "Dräger",  
    job: "Bielefeld University",
    affiliation: "Research Group Cellular Neurophysiology", 
    pictureurl: pics['placeholder'],
    tag: "Academia",
    heading: "",
    interviewtabid: "patchclamp",
    cardtext: "Vorlage",
    language: "de",
    quote: "Vorlage",
    quoteNachname: "Vorlage",
    quoteVorname: "Vorlage",
    aimofcontact: "Vorlage",
    clarification: "Vorlage",
    insights: "Vorlage",
    implementation: "Vorlage",
  },
]

